Summary: A console-based network monitoring utility
Name: iptraf
Version: 3.0.1
Release: 14%{?dist}
Source0: http://www.penguin.cz/~fojtik/iptraf/%{name}-%{version}.tar.gz
Source1: iptraf 
URL: http://www.penguin.cz/~fojtik/iptraf/
Patch0: iptraf-2.4.0-Makefile.patch
Patch1: iptraf-2.7.0-install.patch
Patch2: iptraf-2.7.0-doc.patch
Patch4: iptraf-2.7.0-nostrip.patch
Patch5: iptraf-3.0.0-setlocale.patch
Patch6: iptraf-3.0.0-longdev.patch
Patch7: iptraf-3.0.1-compile.fix.patch
Patch8: iptraf-3.0.0-in_trafic.patch
Patch9: iptraf-3.0.1-incltypes.patch
Patch10: iptraf-3.0.0-ifname.patch
Patch11: iptraf-3.0.0-interface.patch
Patch12: iptraf-3.0.1-ipv6.patch
Patch13: iptraf-3.0.1-ipv6-fix.patch
Patch14: iptraf-3.0.1-servmon-fix.patch
Patch15: 0001-fix-strcpy-overlap-memory.patch
Patch16: iptraf-3.0.1-strict-aliasing.patch
Patch17: 0001-rhbz-82350-assumes-network-devices-are-named-certain.patch
License: GPLv2+
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ncurses-devel

%description
IPTraf is a console-based network monitoring utility.  IPTraf gathers
data like TCP connection packet and byte counts, interface statistics
and activity indicators, TCP/UDP traffic breakdowns, and LAN station
packet and byte counts.  IPTraf features include an IP traffic monitor
which shows TCP flag information, packet and byte counts, ICMP
details, OSPF packet types, and oversized IP packet warnings;
interface statistics showing IP, TCP, UDP, ICMP, non-IP and other IP
packet counts, IP checksum errors, interface activity and packet size
counts; a TCP and UDP service monitor showing counts of incoming and
outgoing packets for common TCP and UDP application ports, a LAN
statistics module that discovers active hosts and displays statistics
about their activity; TCP, UDP and other protocol display filters so
you can view just the traffic you want; logging; support for Ethernet,
FDDI, ISDN, SLIP, PPP, and loopback interfaces; and utilization of the
built-in raw socket interface of the Linux kernel, so it can be used
on a wide variety of supported network cards.

%prep
%setup -q 
%patch7 -p1 -b .compile
%patch12 -p1 -b .ipv6
%patch13 -p1 -b .ipv6-fix
%patch14 -p1 -b .servmon-fix
%patch15 -p1 -b .fix-strcpy-overlap-memory
%patch16 -p1 -b .strict-aliasing
%patch0 -p1 -b .Makefile
%patch1 -p1 -b .install
%patch2 -p1 -b .doc
%patch4 -p1 -b .nostrip
%patch5 -p1 -b .setlocale
%patch6 -p1 -b .longdev
%patch8 -p1 -b .in_trafic
%patch9 -p1 -b .incltypes
%patch10 -p0 -b .ifname
%patch11 -p1 -b .interface
%patch17 -p1

%build
make -C src CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
	TARGET=%{_prefix}/bin \
	LOCKDIR=/var/lock/iptraf \
	LOGDIR=/var/log/iptraf \
	WORKDIR=/var/lib/iptraf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/bin
install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m644 Documentation/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

make -C src TARGET=$RPM_BUILD_ROOT%{_prefix}/bin \
	LOCKDIR=$RPM_BUILD_ROOT/var/lock/iptraf \
	LOGDIR=$RPM_BUILD_ROOT/var/log/iptraf \
	WORKDIR=$RPM_BUILD_ROOT/var/lib/iptraf \
	install

# remove everything besides the html and pictures in Documentation
find Documentation -type f | grep -v '\.html$\|\.png$\|/stylesheet' | \
	xargs rm -f
rm -rf Documentation/.xvpics
rm -f Documentation/stylesheet-images/.eps
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d/
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/iptraf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES FAQ LICENSE INSTALL README* RELEASE-NOTES
%doc Documentation
%attr(755,root,root) %{_prefix}/bin/*
%{_mandir}/*/*
%dir %attr(755,root,root) /var/lock/iptraf
%dir %attr(755,root,root) /var/log/iptraf
%dir %attr(755,root,root) /var/lib/iptraf
%dir %attr(644,root,root) %config(noreplace) /etc/logrotate.d/iptraf


%changelog

